UpdateBrandProfileFromRegistration
Imports or refreshes the attributes of an existing brand profile from an existing registration. This operation runs asynchronously. Use the GetJob operation to track its progress.
Request Syntax
POST /v1/brand-profiles/brandProfileId/update-from-registration HTTP/1.1
Content-type: application/json
{
"clientToken": "string",
"onAttributeConflict": "string",
"registrationId": "string",
"smartMatch": boolean
}
URI Request Parameters
The request uses the following URI parameters.
- brandProfileId
-
The unique identifier of the brand profile. You can specify either the bare ID or the full Amazon Resource Name (ARN).
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
[A-Za-z0-9_:/-]+Required: Yes
Request Body
The request accepts the following data in JSON format.
- clientToken
-
A unique, case-sensitive identifier that you provide to ensure the idempotency of the request. If you do not specify a client token, the AWS SDK automatically generates one.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 128.
Pattern:
[\x21-\x7E]+Required: No
- onAttributeConflict
-
Specifies how the service resolves an attribute that already exists. REPLACE overwrites the existing value with the incoming value. PRESERVE keeps the existing value.
Type: String
Valid Values:
REPLACE | PRESERVERequired: No
- registrationId
-
The identifier or Amazon Resource Name (ARN) of the registration to import attributes from.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 256.
Pattern:
[A-Za-z0-9_:/-]+Required: Yes
- smartMatch
-
Specifies whether to use semantic field mapping between brand profile attributes and registration fields. The default is true. When false, the service maps fields using a fixed set of standard field types.
Type: Boolean
Required: No
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"results": [
{
"jobId": "string",
"resourceIdentifier": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- ConflictException
-
The request conflicts with the current state of the resource.
- resourceId
-
The identifier of the resource that the request conflicts with.
- resourceType
-
The type of the resource that the request conflicts with.
HTTP Status Code: 409
- InternalServerException
-
An unexpected error occurred during the processing of the request.
HTTP Status Code: 500
- ResourceNotFoundException
-
The request references a resource that does not exist. Verify that the resource identifier is correct and try your request again.
- resourceId
-
The identifier of the resource that could not be found.
- resourceType
-
The type of the resource that could not be found.
HTTP Status Code: 404
- ThrottlingException
-
The request was denied because it exceeded the allowed request rate.
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service. Check your request parameters and retry the request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: